require common

epicsEnvSet("ENGINEER", "Gabriel Fedel <gabriel.fedel@ess.eu>")
## Add extra environment variables here
epicsEnvSet("TOP",      "$(E3_CMD_TOP)")
epicsEnvSet("F-SAMPLING" "$(F_SAMPLING)")
epicsEnvSet("F-SYSTEM" "$(F_SYSTEM)")

# Load standard module startup scripts
iocshLoad("$(common_DIR)/e3-common.iocsh")

# Load LLRF
require llrfsystem, 2.8.5

epicsEnvSet("RFENDPV", "$(LLRF_DIGRTM_PREFIX):$(LLRF_DIG_R_1):PosRFEnd")
callbackSetQueueSize(10000)
iocshLoad("$(llrfsystem_DIR)/ts2.iocsh", "P=$(LLRF_PREFIX)::, R=, PD=$(LLRF_DIGRTM_PREFIX):, RD=$(LLRF_DIG_R_1):, PD1=$(LLRF_DIGRTM_PREFIX):, RD1=$(LLRF_DIG_R_1):, PD2=$(LLRF_DIGRTM_PREFIX):, RD2=$(LLRF_DIG_R_2):, RR=$(LLRF_RFM_R_1):")

dbl > PVs.list
## For commands to be run after iocInit, use the function afterInit()

afterInit("system $(E3_IOCSH_TOP)/override_rflps_on_llrf.sh")
# Call iocInit to start the IOC
iocInit()
date
dbgrep REQMOD* > '/iocs/sis8300llrf/REQMODs.list'
